Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.generators
Class RSAKeyPairGenerator

    java.lang.Object
      |
      +--org.bouncycastle.crypto.generators.RSAKeyPairGenerator

All Implemented Interfaces:
  AsymmetricCipherKeyPairGenerator

public class RSAKeyPairGenerator
extends java.lang.Object
implements AsymmetricCipherKeyPairGenerator

an RSA key pair generator.

Constructor Summary
`RSAKeyPairGenerator()`

Method Summary
`AsymmetricCipherKeyPair` | `generateKeyPair()` return an AsymmetricCipherKeyPair containing the generated keys.
`void` | `init(KeyGenerationParameters param)` intialise the key pair generator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RSAKeyPairGenerator

    public RSAKeyPairGenerator()

Method Detail

### init

    public void init(KeyGenerationParameters param)

  Description copied from interface: `AsymmetricCipherKeyPairGenerator`
  intialise the key pair generator.
  Specified by:
    `init` in interface `AsymmetricCipherKeyPairGenerator`
  Following copied from interface: `org.bouncycastle.crypto.AsymmetricCipherKeyPairGenerator`
  Parameters:
    `the` - parameters the key pair is to be initialised with.

### generateKeyPair

    public AsymmetricCipherKeyPair generateKeyPair()

  Description copied from interface: `AsymmetricCipherKeyPairGenerator`
  return an AsymmetricCipherKeyPair containing the generated keys.
  Specified by:
    `generateKeyPair` in interface `AsymmetricCipherKeyPairGenerator`
  Following copied from interface: `org.bouncycastle.crypto.AsymmetricCipherKeyPairGenerator`
  Returns:
    an AsymmetricCipherKeyPair containing the generated keys.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD